Bug 811953 - Mylyn misses some dependencies
Mylyn misses some dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: eclipse-mylyn-commons (Show other bugs)
17
All Linux
urgent Severity high
: ---
: ---
Assigned To: Krzysztof Daniel
Fedora Extras Quality Assurance
:
Depends On: 812215 812226 812228
Blocks: 811944 812224 812261
  Show dependency treegraph
 
Reported: 2012-04-12 07:35 EDT by Krzysztof Daniel
Modified: 2014-01-12 19:26 EST (History)
7 users (show)

See Also:
Fixed In Version: eclipse-mylyn-commons-3.7.0-9.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 812224 (view as bug list)
Environment:
Last Closed: 2012-04-25 01:00:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that will fix the issue for mylyn-commons after all dependencies are updated. (1.53 KB, patch)
2012-04-13 03:55 EDT, Krzysztof Daniel
no flags Details | Diff

  None (edit)
Description Krzysztof Daniel 2012-04-12 07:35:31 EDT
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2012-04-12 13:23:04.552
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.hudson.feature.group 0.9.0.v20120319-0200 to com.sun.xml.bind [2.2.0,3.0.0).
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2012-04-12 13:23:04.553
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.hudson.feature.group 0.9.0.v20120319-0200 to javax.xml.bind [2.1.0,3.0.0).
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2012-04-12 13:23:04.553
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.hudson.feature.group 0.9.0.v20120319-0200 to javax.xml.stream [1.0.1,2.0.0).
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2012-04-12 13:23:04.553
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.bugzilla_feature.feature.group 3.7.0.v20110908-0706 to org.apache.ws.commons.util [1.0.1,2.0.0).
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2012-04-12 13:23:04.553
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.bugzilla_feature.feature.group 3.7.0.v20110908-0706 to javax.xml.stream [1.0.1,2.0.0).
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2012-04-12 13:23:04.554
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.commons.sdk.feature.group 3.7.0.v20120319-0200 to org.apache.xmlrpc [3.0.0.v20120319-0200].
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2012-04-12 13:23:04.554
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.commons.sdk.feature.group 3.7.0.v20120319-0200 to org.apache.ws.commons.util [1.0.0.v20120319-0200].
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2012-04-12 13:23:04.554
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.commons.sdk.feature.group 3.7.0.v20120319-0200 to org.apache.commons.discovery [0.5.0].
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2012-04-12 13:23:04.554
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.commons.notifications.feature.group 0.9.0.v20120319-0200 to org.jdom [1.1.0,2.0.0).
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2012-04-12 13:23:04.554
!MESSAGE Unable to satisfy dependency from org.eclipse.cdt.launch.remote.feature.group 6.0.0.201109151620 to org.eclipse.cdt.launch.remote.source [2.3.0.201109151620].
!SUBENTRY 1 org.eclipse.equinox.p2.director 2 0 2012-04-12 13:23:04.555
!MESSAGE Unable to satisfy dependency from org.eclipse.mylyn.ide_feature.feature.group 3.7.0.v20110908-0706 to org.eclipse.mylyn.tasks.ide.feature.group [3.7.0,3.8.0).
Comment 1 Krzysztof Daniel 2012-04-13 02:42:24 EDT
discovery issue fixed by setting minimal requires version.

missing org.apache.ws.commons.util will be fixed by bug 812215

Full Mylyn rebuild is required after updating dependencies.
Comment 2 Krzysztof Daniel 2012-04-13 03:55:55 EDT
Created attachment 577261 [details]
Patch that will fix the issue for mylyn-commons after all dependencies are updated.
Comment 3 Fedora Update System 2012-04-17 09:33:50 EDT
eclipse-mylyn-commons-3.7.0-9.fc17,eclipse-mylyn-3.7.0-3.fc17,eclipse-mylyn-builds-3.7.0-2.fc17,eclipse-mylyn-tasks-3.7.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/eclipse-mylyn-commons-3.7.0-9.fc17,eclipse-mylyn-3.7.0-3.fc17,eclipse-mylyn-builds-3.7.0-2.fc17,eclipse-mylyn-tasks-3.7.0-3.fc17
Comment 4 Fedora Update System 2012-04-18 18:14:35 EDT
Package eclipse-mylyn-commons-3.7.0-9.fc17, eclipse-mylyn-3.7.0-3.fc17, eclipse-mylyn-builds-3.7.0-2.fc17, eclipse-mylyn-tasks-3.7.0-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eclipse-mylyn-commons-3.7.0-9.fc17 eclipse-mylyn-3.7.0-3.fc17 eclipse-mylyn-builds-3.7.0-2.fc17 eclipse-mylyn-tasks-3.7.0-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6159/eclipse-mylyn-commons-3.7.0-9.fc17,eclipse-mylyn-3.7.0-3.fc17,eclipse-mylyn-builds-3.7.0-2.fc17,eclipse-mylyn-tasks-3.7.0-3.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-25 01:00:51 EDT
eclipse-mylyn-commons-3.7.0-9.fc17, eclipse-mylyn-3.7.0-3.fc17, eclipse-mylyn-builds-3.7.0-2.fc17, eclipse-mylyn-tasks-3.7.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.